function [h_main, h_inset]=inset_less_low_right_col(main_handle, inset_handle, inset_size, title)

% The function plotting figure inside figure (main and inset) from 2 existing figures.
% inset_size is the fraction of inset-figure size, default value is 0.35
% The outputs are the axes-handles of both.
% 
% An examle can found in the file: inset_example.m
% 
% Moshe Lindner, August 2010 (C).

if nargin==2
    inset_size=0.35;
end

inset_size=inset_size*.7;
figure
new_fig=gcf;
main_fig = findobj(main_handle(2,1),'Type','axes');
h_main = copyobj(main_fig,new_fig);
set(h_main,'Position',get(main_fig,'Position'))
c = colorbar;

if title == 1
    set(get(c,'ylabel'),'String', '\bf Depth (m)');
elseif title == 2
    set(get(c,'ylabel'),'String', '\bf Temperature ({\circ}C)');
elseif title == 3    
    set(get(c,'ylabel'),'String', '\bf v (m/s)');
elseif title == 4  
    set(get(c,'ylabel'),'String', '\bf u (m/s)');
end
inset_fig = findobj(inset_handle,'Type','axes');
h_inset = copyobj(inset_fig,new_fig);
ax=get(main_fig,'Position');
%Lower the frame

% Inset_size: 0.35

set(h_inset,'Position', [.6*ax(1)+0.9*ax(3)-inset_size .6*ax(2)+0.4*ax(4)-inset_size inset_size inset_size], 'linewidth', 2)

% Inset_size: 0.45

%set(h_inset,'Position', [.7*ax(1)+0.9*ax(3)-inset_size .5*ax(2)+0.5*ax(4)-inset_size inset_size inset_size], 'linewidth', 2)