function [fig1] = stromfunkplot(psi,lat, depthcontour)
    
    close all
    
    height_f = rdmds('../Grid/RF');
  
    values = 0.2:1/63:1;
    gray1 = [values; values; values]';

    [Y,Z] = meshgrid(lat(1,:),height_f(1,1,:));

    fig1 = figure(1);
    [C,s] = contourf(Y,Z, psi', -32:2:26);
    clabel(C,s) 
    xlabel('\bf Latitude')
    ylabel('\bf Depth (m)')
    colormap(gray1)
    colorbar

    hold on

    % Plot depth

    h_max = height_f(1,1,end);

    x = lat(1,:);                               
    y1 = depthcontour(1,:);                                 
    y2 = h_max*ones(1,length(lat(1,:)));   
    X=[x,fliplr(x)];                                
    Y=[y1,fliplr(y2)];                               
    fill(X,Y,'k')   

end