clear all
format compact
more off


% Define the area you want to interpolae from. Should be slightly bigger
% than the area you'll use in the bathymetry.bin file
lat_lo=-90;
lat_hi=90;
%NOTE! For now-> define longitude from 0-360 degrees
lon_hi=360;
lon_lo=0;

[He1,xe1,ye1]=extract_etopo1(lon_lo,lon_hi,lat_lo,lat_hi);
sprintf('Extracted ETOPO1 data dimensions are %i x %i\n',size(He1));


% % Round to nearest "res" metres
% res=5;
% He1=res*round(He1/res);

dz= -[14.8461 17.7881 21.3130 25.5365 30.5969 36.6601 43.9247...
   52.6290 63.0581 75.5539 90.5259 108.4648 129.9585 155.7114...
  186.5677 223.5385 267.8356 320.9107 384.5033 460.6977 551.9909...
  661.3751 792.4352 949.4666];
zf=[0 cumsum(dz)];
%load VGRID.mat dz zf

% Limit deepest point
He1(He1<zf(end))=zf(end);

% figure;
% contourf(xe1,ye1,He1,[0 0])

% Define the area of the bathymetry.bin file

lat_min=-90;
lon_min=0;
dlon=2;
dlat=2;
lat_max=90-dlat;
lon_max=360-dlon;

xn=lon_min:dlon:lon_max;
yn=lat_min:dlat:lat_max;

%interpolate data to grid
[X,Y]=meshgrid(xe1,ye1);

[xq,yq]=meshgrid(xn,yn);
Hq=interp2(X,Y,He1,xq,yq);
% Level land
Hq(Hq>0)=0;

% %  
% figure;
% surf(xq,yq,Hq)
% view(0,90)
% shading('interp')
% colorbar
% 
% figure;
% contourf(xq,yq,Hq,[0 0])

prec='real*4';
ieee='b';
fid = fopen('bathy_dagen_2deg.bin', 'w','b');
fwrite(fid, Hq', prec);
fclose(fid);