%% Read bathymetry.bin file
% F_topo used to set land area to zero in the forcing file regardless of
% the topography used
clear;
close all
prec='real*4';
ieee='b';
nx=180;
ny=90;
fid=fopen('bathy_dagen_2deg.bin','r',ieee); 
F_topo=fread(fid,[nx,ny],prec); 
fclose(fid);


% %F_topo(15:81,end-4:end)=0;
% %F_topo(:,end-2:end)=0;
[x,y]=meshgrid(linspace(0,358,nx),linspace(-90,88,ny));
 
% 
% % block gap between North-south America 
 r1 = find(x(1,:)==192);
 r2 = find(x(1,:)==190);
 c1 = find(y(:,1)==66);
 F_topo(r1,c1)=0;
 F_topo(r2,c1)=0;
 
 r3 = find(x(1,:)==278);
 r4 = find(x(1,:)==280);
 c2 = find(y(:,1)==8); 
 F_topo(r3,c2)=0;
 F_topo(r4,c2)=0;

figure
surf(x,y,F_topo')
view(0,90)
caxis([-50 0])
colorbar
%shading('interp')
% 
F_topo(:,1:find(y(:,1)==-84))=0;
F_topo(:,find(y(:,1)==84):end)=0;

 figure
surf(x,y,F_topo')
view(0,90)
caxis([-50 0])
colorbar
%shading('interp')
fid = fopen('bathy_dagen_2deg_wall.bin', 'w','b');
fwrite(fid, F_topo, prec);
fclose(fid);

%% zonally symmetric forcing
nx=180;
ny=90;
lat=linspace(-90,88,ny);
lon=linspace(0,358,nx);
ii=find(F_topo>=0);
 % The net heat flux forcing
% q1=200.*cosd(2*lat);
% figure
% plot(lat,q1)
% Q=ones(nx,ny).*repmat(q1,[nx 1]);
% Q(ii)=0;

% The SST clim file
sst1=25*cosd(lat);
figure
plot(lat,sst1)
xlim([-90 88])
SST=ones(nx,ny).*repmat(sst1,[nx 1]);
SST(ii)=0;

% % SW heat flux at surface
% qsw=300.*cosd(1.07*lat);
% figure
% plot(lat,qsw)
% Qsw=ones(nx,ny).*repmat(qsw,[nx 1]);
% Qsw(ii)=0;

%% plot results
% figure
% surf(x,y,Q')
% view(0,90)
% shading('interp')
% xlim([0 360])
% ylim([-90 90])
% colorbar

figure
surf(x,y,SST')
view(0,90)
shading('interp')
xlim([0 358])
ylim([-90 88])
colorbar
xlabel('Longitude')
ylabel('Latitude')
title('\bf Sea Surface Temperature Forcing')
%caxis([-5 30])

% figure
% surf(x,y,Qsw')
% view(0,90)
% shading('interp')
% xlim([0 360])
% ylim([-90 90])
% colorbar
% xlabel('Longitude')
% ylabel('Latitude')
% title('\bf Shorwave radition forcing at the sea surface')
% %caxis([0 400])


%% Write .bin files
% fid = fopen('Input_files/zonal_qnet.bin', 'w','b');
% fwrite(fid, Q, prec);
% fclose(fid);

fid = fopen('zonal_sst_2deg_wall.bin', 'w','b');
fwrite(fid, SST, prec);
fclose(fid);
% 
% fid = fopen('Input_files/bathy_1degres.bin', 'w','b');
% fwrite(fid, F_topo, prec);
% fclose(fid);

% fid = fopen('Input_files/zonal_qsw.bin', 'w','b');
% fwrite(fid, Qsw, prec);
% fclose(fid);

%% To check the written files
clear;
prec='real*4';
ieee='b';
nx=180;
ny=90;
%fid=fopen('zonal_sst_2deg_wall.bin','r',ieee); 
fid=fopen('bathy_dagen_2deg_wall.bin','r',ieee); 
F=fread(fid,[nx,ny],prec); 
fclose(fid);

[x,y]=meshgrid(linspace(0,358,nx),linspace(-90,88,ny));

figure
pcolor(x,y,F')
view(0,90)
%shading('interp')
caxis([-50 0])
colorbar

%pcolor(F')
%view(0,90)
%shading('interp')
%colorbar